package ident

import (
	"fmt"
)

// Request is an ident protocol request, as seen by the client or server.
type Request struct {
	// ClientPort is the port number on the client side of the indent protocol,
	// ie. the port local to the ident client.
	ClientPort uint16
	// ServerPort is the port number on the server side of the ident protocol,
	// ie. the port local to the ident server.
	ServerPort uint16
}

// encode encodes ths Request as per RFC1413, including the terminating \r\n.
func (r *Request) encode() []byte {
	return []byte(fmt.Sprintf("%d,%d\r\n", r.ServerPort, r.ClientPort))
}
